JobClient.TaskStatusFilter (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum JobClient.TaskStatusFilter

    java.lang.Object
      java.lang.Enum<JobClient.TaskStatusFilter>
          org.apache.hadoop.mapred.JobClient.TaskStatusFilter

All Implemented Interfaces:
  Serializable, Comparable<JobClient.TaskStatusFilter>

Enclosing class:
  JobClient

    public static enum JobClient.TaskStatusFilter

extends Enum<JobClient.TaskStatusFilter>

Enum Constant Summary
`ALL`
`FAILED`
`KILLED`
`NONE`
`SUCCEEDED`

Method Summary
`static JobClient.TaskStatusFilter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobClient.TaskStatusFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final JobClient.TaskStatusFilter NONE

### KILLED

    public static final JobClient.TaskStatusFilter KILLED

### FAILED

    public static final JobClient.TaskStatusFilter FAILED

### SUCCEEDED

    public static final JobClient.TaskStatusFilter SUCCEEDED

### ALL

    public static final JobClient.TaskStatusFilter ALL

Method Detail

### values

    public static JobClient.TaskStatusFilter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobClient.TaskStatusFilter c : JobClient.TaskStatusFilter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobClient.TaskStatusFilter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation